.floating-column-sidebar {
	position: fixed;
	top: 0;
	bottom: 0;
	width: var(--web-sidebar-width);
	overflow: hidden auto;

	@if (lightness($sidebar-bg) > 50%) {
		--sidebar-fg: #{$sidebar-dark};
		--sidebar-bg: #{$sidebar-light};
	} @else {
		--sidebar-fg: #{$sidebar-light};
		--sidebar-bg: #{$sidebar-dark};
	}

	& > a {
		color: var(--sidebar-fg);

		&:hover,
		&:focus,
		&:active {
			color: var(--sidebar-fg);
			text-decoration: underline;
		}
	}
}
.floating-column-sidebar::before {
	content: "";
	display: block;
	position: absolute;
	top: 0;
	bottom: 0;
	width: 100%;
	background-color: var(--web-sidebar-bg, #{$sidebar-bg});
	opacity: var(--web-sidebar-bg-alpha, 1);
	z-index: -1;
}
.sidebar-left {
	left: 0;
}
.sidebar-right {
	right: 0;
}
.floating-column-sidebar .navbar-brand {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 1rem auto;
	margin: 2rem auto;
}

.sidebar-login-container {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 1rem;
}

.sidebar-login-container .dropdown-menu {
	min-width: 275px;
}

.sidebar-user-pill {
	border: none;
	background: none;
	padding: 0;
	margin: 0;

	display: flex;
	width: 100%;
	align-items: center;
	padding: 1rem;
	gap: 1rem;
}
.sidebar-user-pill__fullname {
	font-weight: 500;
	font-size: 1.2rem;
}

@media (max-width: 991px) {
	:root {
		--web-sidebar-width: 0px !important;
	}
	.floating-column-sidebar {
		display: none;
	}
}
